com.hazelcast.core

## Class MemberAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - com.hazelcast.core.MembershipEvent
    - - com.hazelcast.core.MemberAttributeEvent

- All Implemented Interfaces:
    DataSerializable, Serializable
  Direct Known Subclasses:
    MemberAttributeServiceEvent

      public class MemberAttributeEvent
      extends MembershipEvent
      implements DataSerializable

  Event for member attribute changes.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.hazelcast.core.MembershipEvent

      `MEMBER_ADDED, MEMBER_ATTRIBUTE_CHANGED, MEMBER_REMOVED`

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemberAttributeEvent()`
    `MemberAttributeEvent(Cluster cluster, Member member, MemberAttributeOperationType operationType, String key, Object value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getKey()` Returns the key for this MemberAttributeEvent.
    `Member` | `getMember()` Returns the removed or added member.
    `MemberAttributeOperationType` | `getOperationType()` Returns the type of member attribute change for this MemberAttributeEvent.
    `Object` | `getValue()` Returns the value for this MemberAttributeEvent.
    `void` | `readData(ObjectDataInput in)` Reads fields from the input stream
    `void` | `writeData(ObjectDataOutput out)` Writes object fields to output stream

    - ### Methods inherited from class com.hazelcast.core.MembershipEvent

      `getCluster, getEventType, getMembers, toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MemberAttributeEvent

          public MemberAttributeEvent()

    - #### MemberAttributeEvent

          public MemberAttributeEvent(Cluster cluster,
                                      Member member,
                                      MemberAttributeOperationType operationType,
                                      String key,
                                      Object value)

  - ### Method Detail

    - #### getOperationType

          public MemberAttributeOperationType getOperationType()

      Returns the type of member attribute change for this MemberAttributeEvent.
      Returns:
        the type of member attribute change for this MemberAttributeEvent

    - #### getKey

          public String getKey()

      Returns the key for this MemberAttributeEvent.
      Returns:
        the key for this MemberAttributeEvent

    - #### getValue

          public Object getValue()

      Returns the value for this MemberAttributeEvent.
      Returns:
        the value for this MemberAttributeEvent

    - #### getMember

          public Member getMember()

      Description copied from class: `MembershipEvent`
      Returns the removed or added member.
      Overrides:
        `getMember` in class `MembershipEvent`
      Returns:
        member which is removed or added

    - #### writeData

          public void writeData(ObjectDataOutput out)
                         throws IOException

      Description copied from interface: `DataSerializable`
      Writes object fields to output stream
      Specified by:
        `writeData` in interface `DataSerializable`
      Parameters:
        `out` - output
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the output stream has been closed.

    - #### readData

          public void readData(ObjectDataInput in)
                        throws IOException

      Description copied from interface: `DataSerializable`
      Reads fields from the input stream
      Specified by:
        `readData` in interface `DataSerializable`
      Parameters:
        `in` - input
      Throws:
        `IOException` - if an I/O error occurs. In particular, an `IOException` may be thrown if the input stream has been closed.

Copyright © 2019. All rights reserved.